<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/NewUI/MainMenu/MainMenuStats.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/dce/_main_menu_stats_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">MainMenuStats.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/dce/_main_menu_stats_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>MainMenuStats <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">m_Root</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a0c289535da3917bd2e001f00fc5e2d86">    5</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a0c289535da3917bd2e001f00fc5e2d86">m_TimeSurvived</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a46c62e653813c63ba7d63de244c55a7f">    6</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a46c62e653813c63ba7d63de244c55a7f">m_TimeSurvivedValue</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a578c565109b1300ff525be55eec10670">    8</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a578c565109b1300ff525be55eec10670">m_PlayersKilled</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a99251e4340a9251f6832dd0bf883e7f2">    9</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a99251e4340a9251f6832dd0bf883e7f2">m_PlayersKilledValue</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aab42c98c683ba8dd5f8b37eb1079cd1d">   11</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#aab42c98c683ba8dd5f8b37eb1079cd1d">m_InfectedKilled</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ad24e43d9c5e246f528a6b443c289d004">   12</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#ad24e43d9c5e246f528a6b443c289d004">m_InfectedKilledValue</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a110674e14a5472db30d739a01851df35">   14</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a110674e14a5472db30d739a01851df35">m_DistanceTraveled</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a7f053e74e2e58c21d0bf828bc010be64">   15</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a7f053e74e2e58c21d0bf828bc010be64">m_DistanceTraveledValue</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#adc0e10b02eeaaba589a27b283848da38">   17</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#adc0e10b02eeaaba589a27b283848da38">m_LongRangeShot</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a1e505d8f1cb62366075cce55226ce3f6">   18</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a1e505d8f1cb62366075cce55226ce3f6">m_LongRangeShotValue</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a005af0ecbdf0e0d294a2e5125271130c">   20</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a005af0ecbdf0e0d294a2e5125271130c">MainMenuStats</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> root )</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a> = root;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        m_TimeSurvived = <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;TimeSurvived&quot;</span> );</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        m_TimeSurvivedValue = <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;TimeSurvivedValue&quot;</span> ) );</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        m_PlayersKilled = <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;PlayersKilled&quot;</span> );</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        m_PlayersKilledValue = <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;PlayersKilledValue&quot;</span> ) );</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        m_InfectedKilled = <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;InfectedKilled&quot;</span> );</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        m_InfectedKilledValue = <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;InfectedKilledValue&quot;</span> ) );</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        m_DistanceTraveled = <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;DistanceTraveled&quot;</span> );</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        m_DistanceTraveledValue = <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;DistanceTraveledValue&quot;</span> ) );</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        m_LongRangeShot = <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;LongRangeShot&quot;</span> );</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        m_LongRangeShotValue = <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;LongRangeShotValue&quot;</span> ) );</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aae47c6352b533ecf0cac6a23394236f6">   40</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aae47c6352b533ecf0cac6a23394236f6">ShowStats</a>()</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.Show( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#acda779386aa7c11b8339f0a257d36cbf">UpdateStats</a>();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a2ef098d52fcef665f001af450ab5aad9">   46</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a2ef098d52fcef665f001af450ab5aad9">HideStats</a>()</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.Show( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#acda779386aa7c11b8339f0a257d36cbf">   51</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#acda779386aa7c11b8339f0a257d36cbf">UpdateStats</a>()</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        MissionMainMenu mission_main_menu = MissionMainMenu.Cast( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetMission() );</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="preprocessor">        #ifdef PLATFORM_WINDOWS</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            player = mission_main_menu.GetIntroScenePC().GetIntroCharacter().GetCharacterObj();</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span><span class="preprocessor">        #ifdef PLATFORM_CONSOLE</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            player = mission_main_menu.GetIntroScenePC().GetIntroCharacter().GetCharacterObj();</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">if</span> ( player )</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            <span class="keywordtype">float</span> stat_value;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <span class="keywordtype">string</span> stat_text;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            m_TimeSurvivedValue.SetText( <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a958b2029e51991fea09237edb3d54836">GetTimeString</a>( player.StatGet( <a class="code hl_class" href="../../d1/d55/class_analytics_manager_server.html">AnalyticsManagerServer</a>.<a class="code hl_variable" href="../../d1/d55/class_analytics_manager_server.html#a28dcf23b2f54c67f179f076e8df116f0">STAT_PLAYTIME</a> ) ) );</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            m_PlayersKilledValue.SetText( <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a553f5e2620cb47f54af156c40b167c1b">GetValueString</a>( player.StatGet( <a class="code hl_class" href="../../d1/d55/class_analytics_manager_server.html">AnalyticsManagerServer</a>.<a class="code hl_variable" href="../../d1/d55/class_analytics_manager_server.html#a43f0a241178b15e5f814f6c2d3347f4b">STAT_PLAYERS_KILLED</a> ) ) );</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            m_InfectedKilledValue.SetText( <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a553f5e2620cb47f54af156c40b167c1b">GetValueString</a>( player.StatGet( <a class="code hl_class" href="../../d1/d55/class_analytics_manager_server.html">AnalyticsManagerServer</a>.<a class="code hl_variable" href="../../d1/d55/class_analytics_manager_server.html#a0d15ce027e209d9785edd506c2331e1c">STAT_INFECTED_KILLED</a> ) ) );</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            m_DistanceTraveledValue.SetText( <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a904aa4d05708048e4c44bedff9174118">GetDistanceString</a>( player.StatGet( <a class="code hl_class" href="../../d1/d55/class_analytics_manager_server.html">AnalyticsManagerServer</a>.<a class="code hl_variable" href="../../d1/d55/class_analytics_manager_server.html#aae3d18aa42074e428b44c94c43cccb24">STAT_DISTANCE</a> ) ) );</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            m_LongRangeShotValue.SetText( <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a904aa4d05708048e4c44bedff9174118">GetDistanceString</a>( player.StatGet( <a class="code hl_class" href="../../d1/d55/class_analytics_manager_server.html">AnalyticsManagerServer</a>.<a class="code hl_variable" href="../../d1/d55/class_analytics_manager_server.html#a1fa58b5a1a59b11d1b50a8bb6391d6ac">STAT_LONGEST_SURVIVOR_HIT</a> ), <span class="keyword">true</span> ) );</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a958b2029e51991fea09237edb3d54836">   76</a></span>    <span class="keyword">protected</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a958b2029e51991fea09237edb3d54836">GetTimeString</a>( <span class="keywordtype">float</span> total_time )</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordtype">string</span> day_symbol = <span class="stringliteral">&quot;d&quot;</span>;                            <span class="comment">//define symbols</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordtype">string</span> hour_symbol = <span class="stringliteral">&quot;h&quot;</span>;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordtype">string</span> minute_symbol = <span class="stringliteral">&quot;min&quot;</span>;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">if</span> ( total_time &gt; 0 )</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <span class="keywordtype">string</span> time_string;     </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <span class="keywordtype">int</span> time_seconds = total_time;                      <span class="comment">//convert total time to int</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <span class="keywordtype">int</span> days = time_seconds / 3600 / 24;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            <span class="keywordtype">int</span> hours = time_seconds / 3600 % 24;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <span class="keywordtype">int</span> minutes = ( time_seconds % 3600 ) / 60;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <span class="keywordflow">if</span> ( days &gt; 0 )</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>                time_string += <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a553f5e2620cb47f54af156c40b167c1b">GetValueString</a>( days ) + day_symbol;     <span class="comment">//days</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>                time_string += <span class="stringliteral">&quot; &quot;</span>;                                     <span class="comment">//separator</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            <span class="keywordflow">if</span> ( hours &gt; 0 || days &gt; 0 )</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>                time_string += <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a553f5e2620cb47f54af156c40b167c1b">GetValueString</a>( hours ) + hour_symbol;   <span class="comment">//hours</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                time_string += <span class="stringliteral">&quot; &quot;</span>;                                     <span class="comment">//separator</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            }           </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            <span class="keywordflow">if</span> ( minutes &gt;= 0 )</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                time_string += <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a553f5e2620cb47f54af156c40b167c1b">GetValueString</a>( minutes ) + minute_symbol;   <span class="comment">//minutes</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            }           </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>            <span class="keywordflow">return</span> time_string;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;0&quot;</span> + <span class="stringliteral">&quot; &quot;</span> + minute_symbol;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    }</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a904aa4d05708048e4c44bedff9174118">  114</a></span>    <span class="keyword">protected</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a904aa4d05708048e4c44bedff9174118">GetDistanceString</a>( <span class="keywordtype">float</span> total_distance, <span class="keywordtype">bool</span> meters_only = <span class="keyword">false</span> )</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordtype">string</span> meter_symbol = <span class="stringliteral">&quot;m&quot;</span>;                          <span class="comment">//define symbols</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordtype">string</span> kilometer_symbol = <span class="stringliteral">&quot;km&quot;</span>;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <span class="keywordflow">if</span> ( total_distance &gt; 0 )</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        {</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            <span class="keywordtype">string</span> distance_string;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>            <span class="keywordtype">float</span> kilometers = total_distance / 1000;</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            kilometers = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga7a63fd1bc9f0c95f8021d8ece1b7500f">Round</a>( kilometers );</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            <span class="keywordflow">if</span> ( kilometers &gt;= 10 &amp;&amp; !meters_only )</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>                distance_string = <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a553f5e2620cb47f54af156c40b167c1b">GetValueString</a>( kilometers, <span class="keyword">true</span> ) + <span class="stringliteral">&quot; &quot;</span> + kilometer_symbol;      <span class="comment">//kilometers</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            {</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>                distance_string = <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a553f5e2620cb47f54af156c40b167c1b">GetValueString</a>( total_distance ) + <span class="stringliteral">&quot; &quot;</span> + meter_symbol;            <span class="comment">//meters</span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            }</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            <span class="keywordflow">return</span> distance_string;</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        }   </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;0&quot;</span> + <span class="stringliteral">&quot; &quot;</span> + meter_symbol;</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    }</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a553f5e2620cb47f54af156c40b167c1b">  140</a></span>    <span class="keyword">protected</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a553f5e2620cb47f54af156c40b167c1b">GetValueString</a>( <span class="keywordtype">float</span> total_value, <span class="keywordtype">bool</span> show_decimals = <span class="keyword">false</span> )</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <span class="keywordflow">if</span> ( total_value &gt; 0 )</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        {</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>            <span class="keywordtype">string</span> out_string;</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>            <span class="keywordtype">int</span> total_value_int = total_value;</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            <span class="keywordtype">string</span> number_str = total_value_int.<a class="code hl_function" href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">ToString</a>();</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>            <span class="comment">//number</span></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>            <span class="keywordflow">if</span> ( total_value &gt;= 1000 )</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>            {</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>                <span class="keywordtype">int</span> count;      </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>                <span class="keywordtype">int</span> first_length = number_str.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga012b133f69754b6a99ba29ce5f11c348">Length</a>() % 3;     <span class="comment">//calculate position of the first separator</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>                <span class="keywordflow">if</span> ( first_length &gt; 0 )</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>                {</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>                    count = 3 - first_length;</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>                }</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>                </div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>                <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; number_str.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga012b133f69754b6a99ba29ce5f11c348">Length</a>(); ++i )</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>                {</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>                    out_string += number_str.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga8fc49f31d2e62128536217aa2b627e46">Get</a>( i );</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>                    count ++;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>                    </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>                    <span class="keywordflow">if</span> ( count &gt;= 3 )</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>                    {</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>                        out_string += <span class="stringliteral">&quot; &quot;</span>;                      <span class="comment">//separator</span></div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>                        count = 0;</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>                    }</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>                }</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            }</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>            {</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>                out_string = number_str;</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>            }</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>            </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            <span class="comment">//decimals</span></div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>            <span class="keywordflow">if</span> ( show_decimals )</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>            {</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>                <span class="keywordtype">string</span> total_value_str = total_value.<a class="code hl_function" href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">ToString</a>();</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>                <span class="keywordtype">int</span> decimal_idx = total_value_str.<a class="code hl_function" href="../../d5/da2/group___strings.html#gade0ebcf22ddfeae2017ea97188d950be">IndexOf</a>( <span class="stringliteral">&quot;.&quot;</span> );</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>            </div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>                <span class="keywordflow">if</span> ( decimal_idx &gt; -1 )</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>                {</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>                    out_string.<a class="code hl_function" href="../../d5/da2/group___strings.html#gac5c8f69c3be1a1d7e15590646bc7eb1a">TrimInPlace</a>();</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>                    out_string += total_value_str.<a class="code hl_function" href="../../d5/da2/group___strings.html#gaa7a206e405d2c58f7390a145ee45523d">Substring</a>( decimal_idx, total_value_str.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga012b133f69754b6a99ba29ce5f11c348">Length</a>() - decimal_idx );</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>                }</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>            }</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span> </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>            <span class="keywordflow">return</span> out_string;</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        }</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;0&quot;</span>;</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    }</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>}</div>
<div class="ttc" id="a_size_to_child_8c_html_abc384ffa3d9e20d9963688d1e3492cb7"><div class="ttname"><a href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00091">SizeToChild.c:91</a></div></div>
<div class="ttc" id="aclass_analytics_manager_server_html"><div class="ttname"><a href="../../d1/d55/class_analytics_manager_server.html">AnalyticsManagerServer</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d73/_analytics_manager_server_8c_source.html#l00001">AnalyticsManagerServer.c:2</a></div></div>
<div class="ttc" id="aclass_analytics_manager_server_html_a0d15ce027e209d9785edd506c2331e1c"><div class="ttname"><a href="../../d1/d55/class_analytics_manager_server.html#a0d15ce027e209d9785edd506c2331e1c">AnalyticsManagerServer::STAT_INFECTED_KILLED</a></div><div class="ttdeci">const string STAT_INFECTED_KILLED</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d73/_analytics_manager_server_8c_source.html#l00006">AnalyticsManagerServer.c:6</a></div></div>
<div class="ttc" id="aclass_analytics_manager_server_html_a1fa58b5a1a59b11d1b50a8bb6391d6ac"><div class="ttname"><a href="../../d1/d55/class_analytics_manager_server.html#a1fa58b5a1a59b11d1b50a8bb6391d6ac">AnalyticsManagerServer::STAT_LONGEST_SURVIVOR_HIT</a></div><div class="ttdeci">const string STAT_LONGEST_SURVIVOR_HIT</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d73/_analytics_manager_server_8c_source.html#l00007">AnalyticsManagerServer.c:7</a></div></div>
<div class="ttc" id="aclass_analytics_manager_server_html_a28dcf23b2f54c67f179f076e8df116f0"><div class="ttname"><a href="../../d1/d55/class_analytics_manager_server.html#a28dcf23b2f54c67f179f076e8df116f0">AnalyticsManagerServer::STAT_PLAYTIME</a></div><div class="ttdeci">const string STAT_PLAYTIME</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d73/_analytics_manager_server_8c_source.html#l00004">AnalyticsManagerServer.c:4</a></div></div>
<div class="ttc" id="aclass_analytics_manager_server_html_a43f0a241178b15e5f814f6c2d3347f4b"><div class="ttname"><a href="../../d1/d55/class_analytics_manager_server.html#a43f0a241178b15e5f814f6c2d3347f4b">AnalyticsManagerServer::STAT_PLAYERS_KILLED</a></div><div class="ttdeci">const string STAT_PLAYERS_KILLED</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d73/_analytics_manager_server_8c_source.html#l00005">AnalyticsManagerServer.c:5</a></div></div>
<div class="ttc" id="aclass_analytics_manager_server_html_aae3d18aa42074e428b44c94c43cccb24"><div class="ttname"><a href="../../d1/d55/class_analytics_manager_server.html#aae3d18aa42074e428b44c94c43cccb24">AnalyticsManagerServer::STAT_DISTANCE</a></div><div class="ttdeci">const string STAT_DISTANCE</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d73/_analytics_manager_server_8c_source.html#l00003">AnalyticsManagerServer.c:3</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclassfloat_html_a9aba6f516b6f38a950c55fa9d0b24afb"><div class="ttname"><a href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">float::ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga7a63fd1bc9f0c95f8021d8ece1b7500f"><div class="ttname"><a href="../../d5/d98/group___math.html#ga7a63fd1bc9f0c95f8021d8ece1b7500f">Math::Round</a></div><div class="ttdeci">static proto float Round(float f)</div><div class="ttdoc">Returns mathematical round of value.</div></div>
<div class="ttc" id="agroup___strings_html_ga012b133f69754b6a99ba29ce5f11c348"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga012b133f69754b6a99ba29ce5f11c348">string::Length</a></div><div class="ttdeci">proto native int Length()</div><div class="ttdoc">Returns length of string.</div></div>
<div class="ttc" id="agroup___strings_html_ga8fc49f31d2e62128536217aa2b627e46"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga8fc49f31d2e62128536217aa2b627e46">string::Get</a></div><div class="ttdeci">string Get(int index)</div><div class="ttdoc">Gets n-th character from string.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d04/_en_string_8c_source.html#l00419">EnString.c:419</a></div></div>
<div class="ttc" id="agroup___strings_html_gaa7a206e405d2c58f7390a145ee45523d"><div class="ttname"><a href="../../d5/da2/group___strings.html#gaa7a206e405d2c58f7390a145ee45523d">string::Substring</a></div><div class="ttdeci">proto string Substring(int start, int len)</div><div class="ttdoc">Substring of 'str' from 'start' position 'len' number of characters.</div></div>
<div class="ttc" id="agroup___strings_html_gac5c8f69c3be1a1d7e15590646bc7eb1a"><div class="ttname"><a href="../../d5/da2/group___strings.html#gac5c8f69c3be1a1d7e15590646bc7eb1a">string::TrimInPlace</a></div><div class="ttdeci">proto int TrimInPlace()</div><div class="ttdoc">Removes leading and trailing whitespaces in string. Returns length.</div></div>
<div class="ttc" id="agroup___strings_html_gade0ebcf22ddfeae2017ea97188d950be"><div class="ttname"><a href="../../d5/da2/group___strings.html#gade0ebcf22ddfeae2017ea97188d950be">string::IndexOf</a></div><div class="ttdeci">proto native int IndexOf(string sample)</div><div class="ttdoc">Finds 'sample' in 'str'. Returns -1 when not found.</div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a005af0ecbdf0e0d294a2e5125271130c"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a005af0ecbdf0e0d294a2e5125271130c">ScriptedWidgetEventHandler::MainMenuStats</a></div><div class="ttdeci">void MainMenuStats(Widget root)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/_main_menu_stats_8c_source.html#l00020">MainMenuStats.c:20</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a0c289535da3917bd2e001f00fc5e2d86"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a0c289535da3917bd2e001f00fc5e2d86">ScriptedWidgetEventHandler::m_TimeSurvived</a></div><div class="ttdeci">protected Widget m_TimeSurvived</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/_main_menu_stats_8c_source.html#l00005">MainMenuStats.c:5</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a110674e14a5472db30d739a01851df35"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a110674e14a5472db30d739a01851df35">ScriptedWidgetEventHandler::m_DistanceTraveled</a></div><div class="ttdeci">protected Widget m_DistanceTraveled</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/_main_menu_stats_8c_source.html#l00014">MainMenuStats.c:14</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a1e505d8f1cb62366075cce55226ce3f6"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a1e505d8f1cb62366075cce55226ce3f6">ScriptedWidgetEventHandler::m_LongRangeShotValue</a></div><div class="ttdeci">protected TextWidget m_LongRangeShotValue</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/_main_menu_stats_8c_source.html#l00018">MainMenuStats.c:18</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a2ef098d52fcef665f001af450ab5aad9"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a2ef098d52fcef665f001af450ab5aad9">ScriptedWidgetEventHandler::HideStats</a></div><div class="ttdeci">void HideStats()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/_main_menu_stats_8c_source.html#l00046">MainMenuStats.c:46</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a46c62e653813c63ba7d63de244c55a7f"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a46c62e653813c63ba7d63de244c55a7f">ScriptedWidgetEventHandler::m_TimeSurvivedValue</a></div><div class="ttdeci">protected TextWidget m_TimeSurvivedValue</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/_main_menu_stats_8c_source.html#l00006">MainMenuStats.c:6</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a553f5e2620cb47f54af156c40b167c1b"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a553f5e2620cb47f54af156c40b167c1b">ScriptedWidgetEventHandler::GetValueString</a></div><div class="ttdeci">protected string GetValueString(float total_value, bool show_decimals=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/_main_menu_stats_8c_source.html#l00140">MainMenuStats.c:140</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a578c565109b1300ff525be55eec10670"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a578c565109b1300ff525be55eec10670">ScriptedWidgetEventHandler::m_PlayersKilled</a></div><div class="ttdeci">protected Widget m_PlayersKilled</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/_main_menu_stats_8c_source.html#l00008">MainMenuStats.c:8</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a71b8e094195dbad856b869f74ddc40f0"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">ScriptedWidgetEventHandler::m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00009">SizeToChild.c:9</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a7f053e74e2e58c21d0bf828bc010be64"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a7f053e74e2e58c21d0bf828bc010be64">ScriptedWidgetEventHandler::m_DistanceTraveledValue</a></div><div class="ttdeci">protected TextWidget m_DistanceTraveledValue</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/_main_menu_stats_8c_source.html#l00015">MainMenuStats.c:15</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a904aa4d05708048e4c44bedff9174118"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a904aa4d05708048e4c44bedff9174118">ScriptedWidgetEventHandler::GetDistanceString</a></div><div class="ttdeci">protected string GetDistanceString(float total_distance, bool meters_only=false)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/_main_menu_stats_8c_source.html#l00114">MainMenuStats.c:114</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a958b2029e51991fea09237edb3d54836"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a958b2029e51991fea09237edb3d54836">ScriptedWidgetEventHandler::GetTimeString</a></div><div class="ttdeci">protected string GetTimeString(float total_time)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/_main_menu_stats_8c_source.html#l00076">MainMenuStats.c:76</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a99251e4340a9251f6832dd0bf883e7f2"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a99251e4340a9251f6832dd0bf883e7f2">ScriptedWidgetEventHandler::m_PlayersKilledValue</a></div><div class="ttdeci">protected TextWidget m_PlayersKilledValue</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/_main_menu_stats_8c_source.html#l00009">MainMenuStats.c:9</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aab42c98c683ba8dd5f8b37eb1079cd1d"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aab42c98c683ba8dd5f8b37eb1079cd1d">ScriptedWidgetEventHandler::m_InfectedKilled</a></div><div class="ttdeci">protected Widget m_InfectedKilled</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/_main_menu_stats_8c_source.html#l00011">MainMenuStats.c:11</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aae47c6352b533ecf0cac6a23394236f6"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aae47c6352b533ecf0cac6a23394236f6">ScriptedWidgetEventHandler::ShowStats</a></div><div class="ttdeci">void ShowStats()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/_main_menu_stats_8c_source.html#l00040">MainMenuStats.c:40</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_acda779386aa7c11b8339f0a257d36cbf"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#acda779386aa7c11b8339f0a257d36cbf">ScriptedWidgetEventHandler::UpdateStats</a></div><div class="ttdeci">void UpdateStats()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/_main_menu_stats_8c_source.html#l00051">MainMenuStats.c:51</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ad24e43d9c5e246f528a6b443c289d004"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ad24e43d9c5e246f528a6b443c289d004">ScriptedWidgetEventHandler::m_InfectedKilledValue</a></div><div class="ttdeci">protected TextWidget m_InfectedKilledValue</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/_main_menu_stats_8c_source.html#l00012">MainMenuStats.c:12</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_adc0e10b02eeaaba589a27b283848da38"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#adc0e10b02eeaaba589a27b283848da38">ScriptedWidgetEventHandler::m_LongRangeShot</a></div><div class="ttdeci">protected Widget m_LongRangeShot</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dce/_main_menu_stats_8c_source.html#l00017">MainMenuStats.c:17</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_da/dbc/class_text_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00205">EnWidgets.c:206</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_df/df4/class_scripted_widget_event_handler"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div><div class="ttdoc">map: item x vector(index, width, height)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00523">EnWidgets.c:524</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_5a24b5f2ae2b05194f42ac7ef23e72cc.html">NewUI</a></li><li class="navelem"><a class="el" href="../../dir_8c2cef034eb7cd04851ed2871b2d6470.html">MainMenu</a></li><li class="navelem"><a class="el" href="../../df/dce/_main_menu_stats_8c.html">MainMenuStats.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
